 // SPDX-License-Identifier: LGPL-2.1-or-later
/****************************************************************************
 *                                                                          *
 *   Copyright (c) 2024 Ondsel (PL Boyer) <development@ondsel.com>         *
 *                                                                          *
 *   This file is part of FreeCAD.                                          *
 *                                                                          *
 *   FreeCAD is free software: you can redistribute it and/or modify it     *
 *   under the terms of the GNU Lesser General Public License as            *
 *   published by the Free Software Foundation, either version 2.1 of the   *
 *   License, or (at your option) any later version.                        *
 *                                                                          *
 *   FreeCAD is distributed in the hope that it will be useful, but         *
 *   WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *   Lesser General Public License for more details.                        *
 *                                                                          *
 *   You should have received a copy of the GNU Lesser General Public       *
 *   License along with FreeCAD. If not, see                                *
 *   <https://www.gnu.org/licenses/>.                                       *
 *                                                                          *
 ***************************************************************************/


#ifndef GUI_ViewProviderPoint_H
#define GUI_ViewProviderPoint_H

#include "ViewProviderDatum.h"

namespace Gui
{

class GuiExport ViewProviderPoint : public ViewProviderDatum {
    PROPERTY_HEADER_WITH_OVERRIDE(Gui::ViewProviderPoint);
public:
    /// Constructor
    ViewProviderPoint();
    ~ViewProviderPoint() override;

    void attach ( App::DocumentObject * ) override;
};

} //namespace Gui


#endif // GUI_ViewProviderPoint_H
